Bug 6701 - language on timeout system preference is wrong
Summary: language on timeout system preference is wrong
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-10 14:45 UTC by Nicole C. Engard
Modified: 2013-12-05 19:57 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
bug 6701 - change timeout to say milliseconds (981 bytes, patch)
2011-08-10 15:26 UTC, Nicole C. Engard
Details | Diff | Splinter Review
bug 6701 - change timeout to say milliseconds (1.00 KB, patch)
2011-08-10 23:38 UTC, MJ Ray (software.coop)
Details | Diff | Splinter Review
Bug 6701 - login timeout is in seconds (1.17 KB, patch)
2012-03-27 13:20 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 6701 - login timeout is in seconds (1.31 KB, patch)
2012-03-28 13:42 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 6701 - login timeout is in seconds (1.41 KB, patch)
2012-04-05 13:53 UTC, Chris Nighswonger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-10 14:45:16 UTC
says seconds, but seems to actually be milliseconds
Comment 1 Nicole C. Engard 2011-08-10 15:26:37 UTC Comment hidden (obsolete)
Comment 2 MJ Ray (software.coop) 2011-08-10 23:38:24 UTC Comment hidden (obsolete)
Comment 3 Ian Walls 2011-08-11 15:30:11 UTC
Easy to read and accurate.  Marking as Passed QA.
Comment 4 Chris Cormack 2011-08-12 02:11:49 UTC
Pushed, please test
Comment 5 Dobrica Pavlinusic 2012-03-27 13:02:55 UTC
Excuse my ignorance, but from looking into C4::Auth checkauth, it seems to me that timeout is in seconds, not miliseconds.

Also code seems to support notation of numeric+d (small case or capital D) to specify timeout in days which is not mentioned.
Comment 6 Dobrica Pavlinusic 2012-03-27 13:20:41 UTC Comment hidden (obsolete)
Comment 7 Dobrica Pavlinusic 2012-03-28 13:42:46 UTC Comment hidden (obsolete)
Comment 8 Chris Nighswonger 2012-04-05 13:53:58 UTC
Created attachment 8919 [details] [review]
Bug 6701 - login timeout is in seconds

I checked in C4/Auth and we are using perl time() for comparison with this value.

I also added description of specifying timeout in days which is available in code.

Robin Sheat suggested to document just lowercase d for days option, to reduce
confusion although uppercase D works as days specifier as well.

Signed-off-by: Chris Nighswonger <cnighswonger@foundations.edu>
Comment 9 Chris Nighswonger 2012-04-05 13:55:16 UTC
Comment on attachment 8667 [details] [review]
Bug 6701 - login timeout is in seconds

Signed off
Comment 10 Paul Poulain 2012-04-06 16:23:20 UTC
QA comment: tiny patch passed QA (before string freeze, that's important because the patch is related to sysprefs)
Comment 11 Jared Camins-Esakov 2012-05-09 16:59:05 UTC
This bug will be included in the Koha 3.6.5 release.